2018-01-19 00:29:00 2019-06-11 01:29:00

jQuery before 1.9.0 is vulnerable to Cross-site Scripting (XSS) attacks. The jQuery(strInput) function does not differentiate selectors from HTML in a reliable fashion. In vulnerable versions, jQuery determined whether the input was HTML by looking for the '<' character anywhere in the string, giving attackers more flexibility when attempting to construct a malicious payload. In fixed versions, jQuery only deems the input to be HTML if it explicitly starts with the '<' character, limiting exploitability only to attackers who can control the beginning of a string, which is far less common.

Vector

NETWORK

Complexity

MEDIUM

Authentication

NONE

Confidentiality

NONE

Integrity

PARTIAL

Availability

NONE
Jquery Jquery 1.1.4 (not an official CPE) Jquery Jquery 1.1.3.1 (not an official CPE) Jquery Jquery 1.1.3 (not an official CPE) Jquery Jquery 1.1.2 (not an official CPE) Jquery Jquery 1.1.1 (not an official CPE) Jquery Jquery 1.1 (not an official CPE) Jquery Jquery 1.0.4 (not an official CPE) Jquery Jquery 1.0.3 (not an official CPE) Jquery Jquery 1.0.2 (not an official CPE) Jquery Jquery 1.0.1 (not an official CPE) Jquery Jquery 1.2 (not an official CPE) Jquery Jquery 1.2.1 (not an official CPE) Jquery Jquery 1.2.2 - (not an official CPE) Jquery Jquery 1.2.2 Beta1 (not an official CPE) Jquery Jquery 1.2.2 Beta2 (not an official CPE) Jquery Jquery 1.2.3 - (not an official CPE) Jquery Jquery 1.2.3 Alpha1 (not an official CPE) Jquery Jquery 1.2.3 Beta1 (not an official CPE) Jquery Jquery 1.2.4 - (not an official CPE) Jquery Jquery 1.2.4 Alpha1 (not an official CPE) Jquery Jquery 1.2.4 Beta1 (not an official CPE) Jquery Jquery 1.2.5 (not an official CPE) Jquery Jquery 1.2.6 (not an official CPE) Jquery Jquery 1.3 (not an official CPE) Jquery Jquery 1.3.0 - (not an official CPE) Jquery Jquery 1.3.0 Beta1 (not an official CPE) Jquery Jquery 1.3.0 Beta2 (not an official CPE) Jquery Jquery 1.3.0 Rc1 (not an official CPE) Jquery Jquery 1.3.1 - (not an official CPE) Jquery Jquery 1.3.1 Rc1 (not an official CPE) Jquery Jquery 1.3.2 (not an official CPE) Jquery Jquery 1.4 (not an official CPE) Jquery Jquery 1.4.0 - (not an official CPE) Jquery Jquery 1.4.0 Alpha1 (not an official CPE) Jquery Jquery 1.4.0 Alpha2 (not an official CPE) Jquery Jquery 1.4.0 Rc1 (not an official CPE) Jquery Jquery 1.4.1 (not an official CPE) Jquery Jquery 1.4.2 (not an official CPE) Jquery Jquery 1.4.3 - (not an official CPE) Jquery Jquery 1.4.3 Rc1 (not an official CPE) Jquery Jquery 1.4.3 Rc2 (not an official CPE) Jquery Jquery 1.4.4 - (not an official CPE) Jquery Jquery 1.4.4 Rc1 (not an official CPE) Jquery Jquery 1.4.4 Rc2 (not an official CPE) Jquery Jquery 1.4.4 Rc3 (not an official CPE) Jquery Jquery 1.5 (not an official CPE) Jquery Jquery 1.5.0 - (not an official CPE) Jquery Jquery 1.5.0 Beta1 (not an official CPE) Jquery Jquery 1.5.0 Rc1 (not an official CPE) Jquery Jquery 1.5.1 - (not an official CPE) Jquery Jquery 1.5.1 Rc1 (not an official CPE) Jquery Jquery 1.5.2 - (not an official CPE) Jquery Jquery 1.5.2 Rc1 (not an official CPE) jQuery 1.6 Jquery Jquery 1.6.0 - (not an official CPE) Jquery Jquery 1.6.0 Beta1 (not an official CPE) Jquery Jquery 1.6.0 Rc1 (not an official CPE) jQuery 1.6.1 Jquery Jquery 1.6.1 - (not an official CPE) Jquery Jquery 1.6.1 Rc1 (not an official CPE) jQuery 1.6.2 Jquery Jquery 1.6.2 - (not an official CPE) Jquery Jquery 1.6.2 Rc1 (not an official CPE) jQuery 1.6.3 Jquery Jquery 1.6.3 - (not an official CPE) Jquery Jquery 1.6.3 Rc1 (not an official CPE) jQuery 1.6.4 Jquery Jquery 1.6.4 - (not an official CPE) Jquery Jquery 1.6.4 Rc1 (not an official CPE) Jquery Jquery 1.7.0 - (not an official CPE) Jquery Jquery 1.7.0 Beta1 (not an official CPE) Jquery Jquery 1.7.0 Beta2 (not an official CPE) Jquery Jquery 1.7.0 Rc1 (not an official CPE) Jquery Jquery 1.7.0 Rc2 (not an official CPE) jQuery 1.7.1 Jquery Jquery 1.7.1 - (not an official CPE) Jquery Jquery 1.7.1 Rc1 (not an official CPE) jQuery 1.7.2 Jquery Jquery 1.7.2 - (not an official CPE) Jquery Jquery 1.7.2 Beta1 (not an official CPE) Jquery Jquery 1.7.2 Rc1 (not an official CPE) jQuery 1.8.0 Jquery Jquery 1.8.0 - (not an official CPE) Jquery Jquery 1.8.0 Beta1 (not an official CPE) Jquery Jquery 1.8.0 Beta2 (not an official CPE) Jquery Jquery 1.8.0 Rc1 (not an official CPE) jQuery 1.8.1 Jquery Jquery 1.8.2 (not an official CPE) Jquery Jquery 1.8.3 (not an official CPE)